/*
    QGLView
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MATERIAL_EDITOR_H
#define MATERIAL_EDITOR_H

#include "glmaterial.h"

#include <QFileDialog>

namespace Ui {
class MaterialEditor;
};

class MaterialEditor: public QWidget {
	Q_OBJECT

public:
	explicit MaterialEditor(QWidget * parent = 0);

	void setMaterial(const Material & m);
	Material material();

protected:
	void changeEvent(QEvent * e);

	bool active;
	Ui::MaterialEditor * ui;

private slots:
	void materialChanged() {
		if (active) emit changed();
	}
	void on_buttonReflFrontSelect_clicked();
	void on_buttonReflFrontClear_clicked();
	void on_buttonReflBackSelect_clicked();
	void on_buttonReflBackClear_clicked();
	void on_buttonReflLeftSelect_clicked();
	void on_buttonReflLeftClear_clicked();
	void on_buttonReflRightSelect_clicked();
	void on_buttonReflRightClear_clicked();
	void on_buttonReflTopSelect_clicked();
	void on_buttonReflTopClear_clicked();
	void on_buttonReflBottomSelect_clicked();
	void on_buttonReflBottomClear_clicked();
	void on_buttonLoadCubeDir_clicked();

signals:
	void changed();
};

#endif // MATERIAL_EDITOR_H
